#!/bin/bash

if [ -d "${PWD}/deploy" ]; then
  SCRIPT_DIR="${PWD}/deploy"
else
  SCRIPT_DIR="${PWD}"
fi

: "${PORT:=8880}"
: "${CONTROL_PORT:=8881}"

echo "JAVA_MEMORY_ARGS=$JAVA_MEMORY_ARGS"

echo "JAVA_OPTS=$JAVA_OPTS"

echo "JAVA_HEAP_MIN=$JAVA_HEAP_MIN"
echo "JAVA_HEAP_MAX=$JAVA_HEAP_MAX"

status=0
set +e
TZ=UTC java $JAVA_OPTS $JAVA_MEMORY_ARGS -Xmx$JAVA_HEAP_MAX -Xms$JAVA_HEAP_MIN $JAVA_GC_OPTS $JMX_OPTS $JAVA_OOM_OPTS -XshowSettings:vm -jar "${SCRIPT_DIR}/asset-cache.jar" monthlycron -server.port=:$PORT -management.server.port=:$CONTROL_PORT $*
status=$?
set -e

echo "$(date): jvm exited with status code ${status}"
exit ${status}
